## org.apache.poi.xslf.usermodel
Class XSLFColor

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFColor

    @Beta
    @Internal
    public class XSLFColor

extends java.lang.Object

Encapsulates logic to read color definitions from DrawingML and convert them to java.awt.Color

Author:
  Yegor Kozlov

Constructor Summary
`XSLFColor(org.apache.xmlbeans.XmlObject obj, XSLFTheme theme, org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor phClr)`

Method Summary
`java.awt.Color` `getColor()`
`org.apache.xmlbeans.XmlObject` `getXmlObject()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSLFColor

    public XSLFColor(org.apache.xmlbeans.XmlObject obj,
                     XSLFTheme theme,
                     org.openxmlformats.schemas.drawingml.x2006.main.CTSchemeColor phClr)

Method Detail

### getXmlObject

    @Internal
    public org.apache.xmlbeans.XmlObject getXmlObject()

### getColor

    public java.awt.Color getColor()

  Returns:
    the displayed color as a Java Color. If not color information was found in the supplied xml object then a null is returned.

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.